@echo off
rem Context/value association preparation
rem Usage: prepare-cva cva-instance cva-stylesheet
echo :: Validating %1.cva with context/value association document model
call ..\..\utility\w3cschema ..\..\utility\ContextValueAssociation.xsd %1.cva >prepare-cva.txt
if %errorlevel% neq 0 goto :error
echo :: No XSD validation errors.

rem echo :: Preparing documentation...
rem call ..\..\utility\xslt %1.cva ..\..\utility\Crane-assoc2html.xsl %1.html 2>prepare-cva.txt
rem if %errorlevel% neq 0 goto :error
rem echo :: No documentation preparation errors

echo :: Preparing Schematron pattern...
call ..\..\utility\xslt %1.cva %2 %1.sch 2>prepare-cva.txt
if %errorlevel% neq 0 goto :error
echo :: No Schematron pattern preparation errors
goto :done
:error
type prepare-cva.txt
:done